## org.eclipse.datatools.enablement.sybase.models.sybasesqlmodel
Interface SybasesqlmodelPackage.Literals

Enclosing interface:
  SybasesqlmodelPackage

    public static interface SybasesqlmodelPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EEnum` `JDBC_PARAMETER_TYPE` The meta object literal for the '`JDBC Parameter Type`' enum.
`static org.eclipse.emf.ecore.EClass` `SYBASE_AUTHORIZATION_IDENTIFIER` The meta object literal for the '`Sybase Authorization Identifier`' class.
`static org.eclipse.emf.ecore.EReference` `SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER` The meta object literal for the 'Sql Container' reference feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_AUTHORIZED_OBJECT` The meta object literal for the '`Sybase Authorized Object`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_BASE_TABLE` The meta object literal for the '`Sybase Base Table`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_INDEX_MEMBER` The meta object literal for the '`Sybase Index Member`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION` The meta object literal for the 'Column Expression' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_PARAMETER` The meta object literal for the '`Sybase Parameter`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_PARAMETER__DEFAULT_VALUE` The meta object literal for the 'Default Value' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_PARAMETER__JDBC_PARAMETER_TYPE` The meta object literal for the 'JDBC Parameter Type' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_PARAMETER__NULLABLE` The meta object literal for the 'Nullable' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_PRIVILEGE` The meta object literal for the '`Sybase Privilege`' class.
`static org.eclipse.emf.ecore.EAttribute` `SYBASE_PRIVILEGE__REVOKED` The meta object literal for the 'Revoked' attribute feature.
`static org.eclipse.emf.ecore.EClass` `SYBASE_ROUTINE` The meta object literal for the '`Sybase Routine`' class.
`static org.eclipse.emf.ecore.EClass` `SYBASE_VIEW_TABLE` The meta object literal for the '`Sybase View Table`' class.

Field Detail

### SYBASE_PARAMETER

    static final org.eclipse.emf.ecore.EClass SYBASE_PARAMETER

  The meta object literal for the '`Sybase Parameter`' class.

  See Also:
    `SybaseParameterImpl`, `SybasesqlmodelPackageImpl.getSybaseParameter()`

### SYBASE_PARAMETER__NULLABLE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_PARAMETER__NULLABLE

  The meta object literal for the 'Nullable' attribute feature.

### SYBASE_PARAMETER__DEFAULT_VALUE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_PARAMETER__DEFAULT_VALUE

  The meta object literal for the 'Default Value' attribute feature.

### SYBASE_PARAMETER__JDBC_PARAMETER_TYPE

    static final org.eclipse.emf.ecore.EAttribute SYBASE_PARAMETER__JDBC_PARAMETER_TYPE

  The meta object literal for the 'JDBC Parameter Type' attribute feature.

### SYBASE_ROUTINE

    static final org.eclipse.emf.ecore.EClass SYBASE_ROUTINE

  The meta object literal for the '`Sybase Routine`' class.

  See Also:
    `SybaseRoutineImpl`, `SybasesqlmodelPackageImpl.getSybaseRoutine()`

### SYBASE_BASE_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_BASE_TABLE

  The meta object literal for the '`Sybase Base Table`' class.

  See Also:
    `SybaseBaseTableImpl`, `SybasesqlmodelPackageImpl.getSybaseBaseTable()`

### SYBASE_VIEW_TABLE

    static final org.eclipse.emf.ecore.EClass SYBASE_VIEW_TABLE

  The meta object literal for the '`Sybase View Table`' class.

  See Also:
    `SybaseViewTableImpl`, `SybasesqlmodelPackageImpl.getSybaseViewTable()`

### SYBASE_AUTHORIZATION_IDENTIFIER

    static final org.eclipse.emf.ecore.EClass SYBASE_AUTHORIZATION_IDENTIFIER

  The meta object literal for the '`Sybase Authorization Identifier`' class.

  See Also:
    `SybaseAuthorizationIdentifierImpl`, `SybasesqlmodelPackageImpl.getSybaseAuthorizationIdentifier()`

### SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER

    static final org.eclipse.emf.ecore.EReference SYBASE_AUTHORIZATION_IDENTIFIER__SQL_CONTAINER

  The meta object literal for the 'Sql Container' reference feature.

### SYBASE_INDEX_MEMBER

    static final org.eclipse.emf.ecore.EClass SYBASE_INDEX_MEMBER

  The meta object literal for the '`Sybase Index Member`' class.

  See Also:
    `SybaseIndexMemberImpl`, `SybasesqlmodelPackageImpl.getSybaseIndexMember()`

### SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION

    static final org.eclipse.emf.ecore.EAttribute SYBASE_INDEX_MEMBER__COLUMN_EXPRESSION

  The meta object literal for the 'Column Expression' attribute feature.

### SYBASE_AUTHORIZED_OBJECT

    static final org.eclipse.emf.ecore.EClass SYBASE_AUTHORIZED_OBJECT

  The meta object literal for the '`Sybase Authorized Object`' class.

  See Also:
    `SybaseAuthorizedObject`, `SybasesqlmodelPackageImpl.getSybaseAuthorizedObject()`

### SYBASE_PRIVILEGE

    static final org.eclipse.emf.ecore.EClass SYBASE_PRIVILEGE

  The meta object literal for the '`Sybase Privilege`' class.

  See Also:
    `SybasePrivilegeImpl`, `SybasesqlmodelPackageImpl.getSybasePrivilege()`

### SYBASE_PRIVILEGE__REVOKED

    static final org.eclipse.emf.ecore.EAttribute SYBASE_PRIVILEGE__REVOKED

  The meta object literal for the 'Revoked' attribute feature.

### JDBC_PARAMETER_TYPE

    static final org.eclipse.emf.ecore.EEnum JDBC_PARAMETER_TYPE

  The meta object literal for the '`JDBC Parameter Type`' enum.

  See Also:
    `JDBCParameterType`, `SybasesqlmodelPackageImpl.getJDBCParameterType()`